# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================

#filter arguments to set server
filterArgs () {

while [ "$1" != "" ]
do
   if [ "$1" = "-server" ]
      then server=$2
      if [ "$2" = "5.1" ]
         then server=51
      elif [ "$2" = "6.0" ]
         then server=6
      elif [ "$2" = "6.1" ]
         then server=61
      fi
   fi
   shift
done
}

server=
classPath=

filterArgs $*

if [ "$server" = "" ]
   then server=61
elif [ "$server" != "51" -a "$server" != "6" -a "$server" != "61" ]
   then server=61
fi

binDir=`dirname $0`

if [ "${IBM_WSSTUDIO_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

if [ "${IBM_WSSTUDIO_TYPE}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

# Setup some environment variables

# export wstoolsPluginDir="$IBM_WSSTUDIO_BIN/../eclipse/plugins"
export WSDK_HOME="$IBM_WSSTUDIO_BIN/../runtimes/wsdk"

# Call the WSDL2WebServiceClass

"$IBM_WSSTUDIO_BIN/../runtimes/"$IBM_WSSTUDIO_TYPE"_v"$server"_stub/java/bin/java" -cp "$WSDK_HOME/delegate.jar:$WSDK_HOME/j2ee13/commons-logging-api.jar:$usrClassPath" -Dwsdk.app.server.home="$IBM_WSSTUDIO_BIN/../runtimes/"$IBM_WSSTUDIO_TYPE"_v"$server"_stub" -Dwsad.wsdk.properties="$WSDK_HOME/j2ee13/wsdk.properties" -DWSDK_HOME="$WSDK_HOME" com.ibm.wsdk.delegate.DelegateClass "$WSDK_HOME/j2ee13/ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.WSDL2WebService -wsad $*

echo ""

