@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off

IF "%IBM_WSSTUDIO_BIN%" == "" call "%~dp0\setupenv.bat"

IF "%IBM_WSSTUDIO_TYPE%" == "" call "%~dp0\setupenv.bat"

REM Setup location of the appserver and WSDK tools
set wstoolsPluginDir=%IBM_WSSTUDIO_BIN%..\eclipse\plugins

REM Set up some environment variables
SET WAS_HOME=%IBM_WSSTUDIO_BIN%..\runtimes\base_v61_stub
SET JAVA_HOME=%WAS_HOME%\java
REM Call the UDDIUnpublish class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation

"%WAS_HOME%\java\bin\java" -cp "%WSDK_HOME%\delegate.jar" -Dwsdk.app.server.home="%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v61_stub" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee13\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%"  com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee13\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.UDDIPublish %*

goto :EOF

:END
@echo on
REM Run setupenv.bat to set the environment variable IBM_WSSTUDIO_BIN