# ====================================================================================
# Licensed Materials - Property of IBM                                  
# IBM WebSphere SDK for Web Services, Version 5.0                     
# (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                
# US Govt. Users Restricted Rights                                      
# Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ====================================================================================

binDir=`dirname $0`

if [ "${IBM_WSSTUDIO_BIN}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

if [ "${IBM_WSSTUDIO_TYPE}" = "" ]
then
   . "$binDir/setupenv.sh" "$binDir"
fi

# Setup some environment variables

export wstoolsPluginDir="$IBM_WSSTUDIO_BIN/../eclipse/plugins"
export WSDK_HOME="$IBM_WSSTUDIO_BIN/../runtimes/wsdk"
export WAS_HOME="$IBM_RAD_BIN/../runtimes/base_v61_stub"

# Call the UDDIPublishClass

"$WAS_HOME/java/bin/java" -cp "$WSDK_HOME/delegate.jar:$usrClassPath" -Dwsdk.app.server.home="$IBM_WSSTUDIO_BIN/../runtimes/"$IBM_WSSTUDIO_TYPE"_v61_stub" -Dwsad.wsdk.properties="$WSDK_HOME/j2ee13/wsdk.properties" -Dwsad.xerces.jar="$WSDK_HOME/j2ee13/transform.jar" -DWSDK_HOME="$WSDK_HOME" com.ibm.wsdk.delegate.DelegateClass "$WSDK_HOME/j2ee13/ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.UDDIPublish "$@"

echo ""


