@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off
SETLOCAL

set server=
set classPath=

IF "%IBM_WSSTUDIO_BIN%" == "" call "%~dp0\setupenv.bat"

IF "%IBM_WSSTUDIO_TYPE%" == "" call "%~dp0\setupenv.bat"

:filterArgs
REM filter arguments to set server
shift

if /I {%0}=={} goto continue


if /I "%0"=="-server" (
set server=%1
if "%1"=="5.1" set server=51
if "%1"=="6.0" set server=6
if "%1"=="6.1" set server=61
)

goto filterArgs

:continue
if "%server%"=="" set server=61
if NOT "%server%"=="" if NOT "%server%"=="51" if NOT "%server%"=="6" if NOT "%server%"=="61" set server=61

REM Setup location of the appserver and WSDK tools
set wstoolsPluginDir=%IBM_WSSTUDIO_BIN%..\eclipse\plugins

REM Set up some environment variables
SET WAS_HOME=%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v%server%_stub
REM Call the WSDL2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v%server%_stub\java\bin\java" -cp "%WSDK_HOME%\delegate.jar;%WSDK_HOME%\j2ee13\commons-logging-api.jar" -Dwsdk.app.server.home="%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v%server%_stub" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee13\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee13\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.WSDL2Client -wsad %*

goto :EOF

:END
ENDLOCAL
@echo on
REM Run setupenv.bat to set the environment variable IBM_WSSTUDIO_BIN
